Subject: Re: [provreg] Uniform Poll Responses for Launch Phase Results

From: Gavin Brown <[email-masked]>
Date: Thu, 28 Feb 2013 17:33:48 +0000

Hi Jeremy, 

The next version of our draft will address this. Basically when the status of an application changes, the server queues a message that contains the <launch:infData> element. 

Thanks, 

Gavin. 

-------- Original message --------
Subject: [provreg] Uniform Poll Responses for Launch Phase Results 
From: [email-masked] 
To: [email-masked] 
CC:  

Hi, All.  I've been catching up today on the good work that is being done by so many in this group to nail down a functional common standard to support TLD launch phases via EPP.  Thank you for all you are doing in this regard!

From a registrar perspective, there's a feature that I would find enormously helpful in facilitating TLD launches - poll messages to indicate when a domain application reaches a terminal state: allocated, rejected, or other.

Historically, for TLD launches, one of the most labor-intensive steps in the process for Go Daddy has been reconciling the results of sunrise and landrush phases by either processing a spreadsheet emailed to us by the registry or performing repeated whois queries to try to find out whether the domain has been allocated to us or not.  Both of these approaches are more manual than my liking.

As we approach the onrush of gTLD launches, we will be collaborating with our registry partners to provide poll messages to communicate the outcomes of domain applications, and it would be beneficial for all of us in the industry, I think, if the attributes of such poll messages were common across all TLDs.

Question 1 - Is it reasonable to expect that gTLD applications could culminate in a poll message communicating the outcome back to the requesting registrar?

Question 2 - If so, do the following <poll> response examples seem suitable: adhering to existing EPP standards AND containing sufficient information to sync up with the registrar?

------------------------------------------------------------
<poll> response when a launch phase application is allocated
------------------------------------------------------------
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<epp xmlns="urn:ietf:params:xml:ns:epp-1.0">
  <response>
    <result code="1301">
      <msg>Command completed successfully; ack to dequeue</msg>
    </result>
    <msgQ count="5" id="12345">
      <qDate>2000-06-08T22:00:00.0Z</qDate>
      <msg>Application allocated.</msg>
    </msgQ>
    <resData>
      <obj:appData xmlns:obj="urn:ietf:params:xml:ns:obj-1.0">
        <obj:name>example.llc</obj:name>
        <obj:apID>abc123</obj:applicationID>
        <obj:apStatus>allocated</obj:trStatus>
      </obj:appData>
    </resData>
    <trID>
      <clTRID>ABC-12345</clTRID>
      <svTRID>54321-XYZ</svTRID>
    </trID>
  </response>
</epp>

------------------------------------------------------------
<poll> response when a launch phase application is rejected
------------------------------------------------------------
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<epp xmlns="urn:ietf:params:xml:ns:epp-1.0">
  <response>
    <result code="1301">
      <msg>Command completed successfully; ack to dequeue</msg>
    </result>
    <msgQ count="5" id="12345">
      <qDate>2000-06-08T22:00:00.0Z</qDate>
      <msg>Application rejected.</msg>
    </msgQ>
    <resData>
      <obj:appData xmlns:obj="urn:ietf:params:xml:ns:obj-1.0">
        <obj:name>example.llc</obj:name>
        <obj:apID>abc123</obj:applicationID>
        <obj:apStatus>rejected</obj:trStatus>
      </obj:appData>
    </resData>
    <trID>
      <clTRID>ABC-12345</clTRID>
      <svTRID>54321-XYZ</svTRID>
    </trID>
  </response>
</epp>

Thanks,

Jeremy Bushlack
Director, Software Development
Registrar Services
GoDaddy.com
[email-masked]
http://www.godaddy.com
319-294-3934

I value service, simplicity, and facts. How am I doing? Reply to my supervisor, Roger Carney ([email-masked]).